### Method

# Gdk Device get_modifier_state

#### Declaration [src]

    GdkModifierType
    gdk_device_get_modifier_state (
      GdkDevice* device
    )

#### Description [src]

Retrieves the current modifier state of the keyboard.

This is only relevant for keyboard devices.

Gets property | `Gdk.Device:modifier-state`

#### Return value

Returns: | `GdkModifierType`
| The current modifier state.